Subject: Re: [Spridgets] chassis paint

From: Rick Fisk via Spridgets <[email-masked]>
Date: Sun, 31 Jul 2016 19:36:49 -0400

Most people just paint everything underneath with the same paint that they use for everything on top, just like the factory did.   :-)

Sent from my keyboard

> On Jul 27, 2016, at 2:25 PM, Mike Rambour via Spridgets <[email-masked]> wrote:
> 
> Sorry for the repeat, I didnt see this message on the list.
> 
>   What is the preferred paint these days for chassis paint, well ok there isn't a real frame so underbody paint.
> 
>  I spent $180 at Eastwood getting their epoxy primer and chassis black ceramic paint and no way that is near enough paint to do the underbody. I am happy with the way what I did looks, shot around the wheel wells and other areas that might be seen but the part that no one sees but the road I have to find something less expensive and maybe even thicker for better protection.  I had thought of POR15 but that seems overkill also, I need good rust protection now that the rust is gone, something chip resistant would be great.  I am thinking some kind of rubbery paint would be better.  My last car had a actual frame and wooden floor boards so I used chassis black and varnish on it, this one of course does not have a full frame and not sure what to use.
> 
>  Not a show car, but has to look like one :)  Son-in-law actually is hoping to daily drive this thing and wants it to look good, but will never be shown.  Body will be painted in what I hope to be a good 7ft. paint job, I generally can do a good 10ft. paint job but i am hoping to do better this time around and get it down to 7ft. or so.
> 
>  Mike
> 
> -- 
> A gun is like a parachute, if you need one but don't have it,
> you'll probably never need one again.
> 
> ------------------------
> 
> [email-masked]
> 
> Donate: http://www.team.net/donate.html
> Suggested annual donation: $12.75
> 
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: http://autox.team.net/mailman/options/spridgets/[email-masked]
------------------------

[email-masked]

Archive: http://www.team.net/archive